Skip to main content
POST
/
api
/
contract
curl -X POST 'https://api.sendforsign.com/api/contract' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "update",
				   "clientKey": "YOUR_CLIENT_KEY",
				   "contract": {
							  "contractKey": "CONTRACT_KEY", 
							  "name": "New contract",
							  "value": "<p>Contract text</p>"
						     }
				  }
       }'
	{
       "contract": {
                "createTime": "2023-12-01 12:18:55",
                "changeTime": "2023-12-01 12:18:55",
                "contractKey": "CONTRACT_KEY", 
		},
       "code": "201",
       "message": "Contract updated"
    } 

Documentation Index

Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt

Use this file to discover all available pages before exploring further.

Body parameters

data
object
required

Response

contract
string
Contract structure.
code
string
The code of the answer.
message
string
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/contract' \
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
		  "data": {
				   "action": "update",
				   "clientKey": "YOUR_CLIENT_KEY",
				   "contract": {
							  "contractKey": "CONTRACT_KEY", 
							  "name": "New contract",
							  "value": "<p>Contract text</p>"
						     }
				  }
       }'
	{
       "contract": {
                "createTime": "2023-12-01 12:18:55",
                "changeTime": "2023-12-01 12:18:55",
                "contractKey": "CONTRACT_KEY", 
		},
       "code": "201",
       "message": "Contract updated"
    }